Subject: [bug#40955] [PATCH 2/5] build: install: Ignore chown exceptions.

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 05 May 2020 15:42:33 +0200

Hello Ludo,

Thanks for reviewing :)

> Or perhaps that’s still not helpful but we instead need a guarantee
> elsewhere that the UID/GID is going to be honored, perhaps by calling:
>
>   (evaluate-populate-directive … #:default-gid 0 #:default-uid 0)
>
> and have it ignore chown when it matches #:default-uid and
> #:default-gid.

This seems like a good idea. This way, 'chown' is only applied if the
requested uid/gid doesn't match the default one.

Thanks,

Mathieu